flink-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Vasiliki Kalavri <vasilikikala...@gmail.com>
Subject Re: Compilation error after guava shading
Date Mon, 23 Mar 2015 16:28:04 GMT
Awesome, thanks Robert!
On Mar 23, 2015 5:15 PM, "Robert Metzger" <rmetzger@apache.org> wrote:

> Hi,
>
> you have to add guava as a dependency to your project.
> With the shading, users won't see Flink depending on Guava anymore. This
> allows them (users) to use any guava version they want.
>
>
>
> On Mon, Mar 23, 2015 at 5:11 PM, Vasiliki Kalavri <
> vasilikikalavri@gmail.com
> > wrote:
>
> > Hi squirrels,
> >
> > I have a maven project that only depends on flink-gelly, but after the
> > guava shading change I get a compilation error in one of the classes that
> > is using the primitives library:
> >
> > "package com.google.common does not exist".
> >
> > Is this to be expected? Do I need to add anything to my pom?
> >
> > Thanks!
> > -Vasia.
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message